#!/bin/bash
# Script Version: 03
# Description: Set NVIDIA GPU fan speed on startup.

# Define the display and X authority paths
export DISPLAY=:1
export XAUTHORITY=/run/user/1000/gdm/Xauthority

# Run nvidia-settings commands as root
sudo /usr/bin/nvidia-settings -c :1 -a "[gpu:0]/GPUFanControlState=1"
sudo /usr/bin/nvidia-settings -c :1 -a "[fan:0]/GPUTargetFanSpeed=10"

